Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.testing
[Groovy] Class GrailsMockErrors

    java.lang.Object
      org.springframework.validation.BeanPropertyBindingResult
          org.codehaus.groovy.grails.plugins.testing.GrailsMockErrors

    class GrailsMockErrors
    extends BeanPropertyBindingResult

A simple Spring Errors implementation that adds support for Groovy- style access to field errors. For example, if you have a mocked domain instance "dc", then you can get the error code for a field "name" by using this code:

       dc.errors["name"]

Property Summary
`static java.lang.Object` | `ERROR_CODE_TABLE`

Constructor Summary
`GrailsMockErrors(java.lang.Object instance)`

Method Summary
`java.lang.Object` | `isEmpty()`
`java.lang.Object` | `propertyMissing(java.lang.String name)`

Property Detail

### ERROR_CODE_TABLE

    static final java.lang.Object ERROR_CODE_TABLE

Constructor Detail

### GrailsMockErrors

    GrailsMockErrors(java.lang.Object instance)

Method Detail

### isEmpty

    java.lang.Object isEmpty()

### propertyMissing

    java.lang.Object propertyMissing(java.lang.String name)

Groovy Documentation